# Retrieve Current Schedule

`GET /manage/schedules`

Retrieve the current availability and curtailment schedule for a premium resource. Use issue_time to query historical schedule state.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `resource_id` | string | yes | The resource id. |
| `period_end` | string (date-time) | yes | End of the query window (ISO 8601). Must be on a 5-minute boundary. |
| `period_start` | string (date-time) | yes | Start of the query window (ISO 8601). Must be on a 5-minute boundary. |

## Example request

### cURL

```bash
curl -X GET "https://api.solcast.com.au/manage/schedules?resource_id=cbf6-a872-1cb2-566f&period_start=2026-01-01T00:00:00.0000000Z&period_end=2026-01-02T00:00:00.0000000Z" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

params = {
    "resource_id": "cbf6-a872-1cb2-566f",
    "period_start": "2026-01-01T00:00:00.0000000Z",
    "period_end": "2026-01-02T00:00:00.0000000Z",
}

response = requests.get(
    "https://api.solcast.com.au/manage/schedules", params=params,
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "availability_schedule": [],
  "curtailment_schedule": []
}
```

## Responses

### 200 — OK

Schema: `ResourceScheduleResponse`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `availability_schedule` | AvailabilityIntervalDto[] | no |  |
| `curtailment_schedule` | CurtailmentIntervalDto[] | no |  |
| `response_status` | string | no |  |

Source: /docs/section/premium#getManageSchedules
